## samba 3.6.25

=== debian/changelog ===
samba (2:3.6.25-0ubuntu0.12.04.10+ta10) babo62; urgency=medium

  * Non-maintainer upload for Precise LTS
  * CVE-2020-14318
    Missing handle permissions check in ChangeNotify
  * CVE-2020-14323
    Unprivileged user can crash winbind via invalid lookupsids DoS

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 26 Nov 2020 19:32:41 +0100

samba (2:3.6.25-0ubuntu0.12.04.10+ta9) babo62; urgency=medium

  * Non-maintainer upload for Precise LTS
  * CVE-2020-10745
    ndr_dns: do not allow consecutive dots
    The empty subdomain component is reserved for the root domain, which
    we should only (and always) see at the end of the list. That is, we
    expect "example.com.", but never "example..com".
  * CVE-2019-14303
    fix busy loop on empty UDP packet
    An empty UDP packet put the nbt server into a busy loop that consumes
    100% of a cpu.

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 27 Jul 2020 20:08:19 +0200

samba (2:3.6.25-0ubuntu0.12.04.10+ta8) babo62; urgency=medium

  * Non-maintainer upload for Precise LTS
  * CVE-2019-10218
    A malicious server could send a pathname with separators. This could
    allow the client to access files outside of the SMB network pathnames
    and an attacker could create files outside the current working
    directory with the privileges of the client user.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 28 Nov 2019 21:19:08 +0100

samba (2:3.6.25-0ubuntu0.12.04.10+ta7) babo62; urgency=medium

  * Non-maintainer upload for Precise LTS
  * CVE-2018-16860
    Heimdal KDC: Reject PA-S4U2Self with unkeyed checksum

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 24 May 2019 21:19:08 +0200

samba (2:3.6.25-0ubuntu0.12.04.10+ta6) babo62; urgency=medium

  * Non-maintainer upload for Precise LTS
  * CVE-2019-3880
    s3: rpc: winreg: Remove implementations of SaveKey/ RestoreKey.

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Apr 2019 19:19:08 +0200

samba (2:3.6.25-0ubuntu0.12.04.10+ta5) babo62; urgency=medium

  * Non-maintainer upload for Precise LTS
  * CVE-2018-10858:
    Svyatoslav Phirsov discovered that the libsmbclient contains an
    error that could allow a malicious server to overwrite client
    heap memory by returning an extra long filename in a directory
    listing.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 16 Sep 2018 19:19:08 +0200

samba (2:3.6.25-0ubuntu0.12.04.10+ta4) babo62; urgency=medium

  * Non-maintainer upload for Precise LTS
  * CVE-2018-7050
    fix for denial of service attack when the RPC spoolss service is 
    configured to be run as an external daemon

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 15 Apr 2018 16:19:08 +0200

samba (2:3.6.25-0ubuntu0.12.04.10+ta3) babo62; urgency=medium

  * Non-maintainer upload for Precise LTS
  * CVE-2017-15275
    All versions of Samba from 3.6.0 onwards are vulnerable 
    to a heap memory information leak, where server allocated 
    heap memory may be returned to the client without being
    cleared.
    There is no known vulnerability associated with this error,
    but uncleared heap memory may contain previously used data
    that may help an attacker compromise the server via other
    methods. Uncleared heap memory may potentially contain
    password hashes or other high-value data.
    (chain code can return uninitialized memory when talloc 
     buffer is grown.)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 27 Nov 2017 20:19:08 +0100

samba (2:3.6.25-0ubuntu0.12.04.10+ta2) babo62; urgency=medium

  * Non-maintainer upload for Precise LTS
  * CVE-2017-12150
    SMB1/2/3 connections may not require signing where they should
  * CVE-2017-12163
    Client with write access to a share can cause server memory 
    contents to be written into a file or printer.
    This only affects SMB1.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 26 Sep 2017 19:19:08 +0200

samba (2:3.6.25-0ubuntu0.12.04.10+ta1) babo62; urgency=medium

  * Non-maintainer upload for Precise LTS
  * CVE-2017-7494
    rpc_server3: Refuse to open pipe names with / inside

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 29 May 2017 15:19:08 +0200

samba (2:3.6.25-0ubuntu0.12.04.10) precise-security; urgency=medium

  * SECURITY REGRESSION: follow symlinks issue (LP: #1675698)
    - debian/patches/bug12721-*.patch: add backported fixes from Samba bug
      #12721.
  * debian/patches/*: fix CVE number in patch filenames.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 28 Mar 2017 09:43:30 -0400

samba (2:3.6.25-0ubuntu0.12.04.9) precise-security; urgency=medium

  * SECURITY UPDATE: Symlink race allows access outside share definition
    - debian/patches/CVE-2017-2619-*.patch: security fix and prerequisite
      patches from upstream.
    - CVE-2017-2619

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 21 Mar 2017 08:06:46 -0400

samba (2:3.6.25-0ubuntu0.12.04.5) precise-security; urgency=medium

  * SECURITY UPDATE: unconditional privilege delegation to Kerberos servers
    - debian/patches/CVE-2016-2125-v3.6.patch: don't use GSS_C_DELEG_FLAG in
      source3/librpc/crypto/gse.c and source3/libsmb/clifsinfo.c.
    - CVE-2016-2125

 -- Steve Beattie <sbeattie@ubuntu.com>  Tue, 13 Dec 2016 11:00:51 -0800

samba (2:3.6.25-0ubuntu0.12.04.4) precise-security; urgency=medium

  * SECURITY REGRESSION: compatibility with NetAPP SAN (LP: #1576109)
    - debian/patches/fix_netapp.patch: don't require NTLMSSP_SIGN for smb
      connections in source3/libsmb/ntlmssp.c.
  * SECURITY REGRESSION: compatibility with 3.6 servers (LP: #1574403)
    - debian/patches/relax_client_ipc_signing.patch: relax the
      "client ipc signing" parameter to "auto" so a 3.6 client can still
      connect to a 3.6 server. Administrators in environments that
      exclusively connect to more recent servers might want to manually
      configure this back to "mandatory".

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 May 2016 11:51:56 -0400


