## samba 4.1.5+dfsg

=== debian/changelog ===
samba (2:4.1.5+dfsg-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Replace dependency on newer Heimdal HDB API with dependency
    on libhdb9-heimdal before the API change.
  * Revert build-dep on the newer ctdb version.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 01 Mar 2014 17:10:19 +0100

samba (2:4.1.5+dfsg-1) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Fix watch file.

  [ Ivo De Decker ]
  * New upstream release.
  * Remove the part of patch 26_heimdal_compat integrated upstream.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 22 Feb 2014 23:17:59 +0100

samba (2:4.1.4+dfsg-3) unstable; urgency=medium

  * Move samba.dckeytab module to samba package, as it relies on hdb.
    Closes: #736405, #736430

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 24 Jan 2014 23:35:14 +0000

samba (2:4.1.4+dfsg-2) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Depend on newer version of ctdb, as Samba won't build against older
    versions without --enable-old-ctdb.
  * Bump standards version to 3.9.5 (no changes).
  * Move libpac, db_glue and hdb module from samba-libs to samba package
    to reduce size and dependency set of libs package.
  * Fix compatibility with newer versions of the Heimdal HDB API.
    + Update 26_heimdal_compat: Fix initialization of HDB plugin. Thanks Jeff
      Clark. Closes: #732342
    + Add dependency on specific version of the Heimdal HDB API.
      Closes: #732344

  [ Steve Langasek ]
  * dhcp3-client is superseded by dhcp-client; update the references in
    the package.  Closes: #736070.
  * Move the dhcp client hook from /etc/dhcp3 to /etc/dhcp.
    Closes: #649100.
  * debian/bin/xsltproc: don't use $FAKETIME as the variable name in our
    wrapper script, this seems to make faketime unhappy.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 18 Jan 2014 20:26:35 +0000

samba (2:4.1.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update version of talloc build-deps to 2.0.8.
  * python-samba: add depends on python-ntdb.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 18 Jan 2014 14:07:15 +0100

samba (2:4.1.3+dfsg-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Update version of talloc build-deps to 2.0.8.
    In sid, the version is newer, so this issue doesn't show up.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 04 Jan 2014 13:42:16 +0100

samba (2:4.1.3+dfsg-2) unstable; urgency=medium

  * Add debug symbols for all binaries to samba-dbg. Closes: #732493
  * Add lintian overrides for empty prerm scripts.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Fri, 27 Dec 2013 12:39:54 +0100

samba (2:4.1.3+dfsg-1) experimental; urgency=low

  [ Jelmer Vernooij ]
  * New upstream release.
   + Drop 0002-lib-replace-Allow-OS-vendor-to-assert-that-getpass-i.patch:
     upstream no longer uses getpass.
  * Add source dependency on libntdb1, and stop passing --disable-ntdb,
    which has been removed.
  * Remove handling for SWAT, which is no longer shipped upstream.
  * Split VFS modules out from samba-libs into a separate binary
    package.
  * Move service and process_model modules from the samba-libs to the
    samba package. Prevents dependencies on libkdc2-heimdal and
    libhdb9-heimdal.

  [ Ivo De Decker ]
  * Add build-dep on python-ntdb.
  * Add build-dep on libncurses5-dev.
  * Add depends on python-ntdb to samba.
  * New upstream release.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Mon, 09 Dec 2013 23:24:27 +0100

samba (2:4.0.13+dfsg-2) UNRELEASED; urgency=low

  [ Steve Langasek ]
  * Check for alternative's presence before calling update-alternatives
    --remove-all, instead of silently ignoring all errors from
    update-alternatives.

  [ Debconf translations ]
  * Spanish (Javier Fernández-Sanguino).  Closes: #731800

 -- Steve Langasek <vorlon@debian.org>  Mon, 09 Dec 2013 11:13:59 -0800

samba (2:4.0.13+dfsg-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Mon, 16 Dec 2013 22:57:24 +0100

samba (2:4.0.13+dfsg-1) unstable; urgency=high

  [ Steve Langasek ]
  * Move update-alternatives upgrade removal handling to the postinst, where
    it belongs.  Closes: #730090.
  * Really remove all references to encrypted passwords: the
    samba-common.config script still included references, which could cause
    upgrade failures in some cases.  Closes: #729167.

  [ Ivo De Decker ]
  * New upstream security release. Fixes:
    - CVE-2013-4408: DCE-RPC fragment length field is incorrectly checked
    - CVE-2012-6150: pam_winbind login without require_membership_of
                     restrictions
  * Add empty prerm scripts for samba and samba-common-bin.prerm, to allow
    upgrades from earlier versions with broken prerm script (bug introduced in
    2:4.0.10+dfsg-3)
  * Don't fail in postinst when removing old alternatives fails.

  [ Jelmer Vernooij ]
  * Fix invocations of 'update-alternatives --remove-all'. Closes: #731192

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Mon, 09 Dec 2013 18:34:07 +0100

samba (2:4.0.12+dfsg-1) unstable; urgency=low

  [ Ivo De Decker ]
  * New upstream release.

  [ Debconf translations ]
  * Thai (Theppitak Karoonboonyanan).  Closes: #728525
  * Norwegian Bokmål (Bjørn Steensrud).  Closes: #729070
  * German (Holger Wansing).  Closes: #729210

  [ Jelmer Vernooij ]
  * Add 26_heimdal_compat: Fix compatibility with newer versions of
    Heimdal.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sun, 24 Nov 2013 07:48:20 +0100

samba (2:4.0.11+dfsg-1) unstable; urgency=high

  * New upstream security release. Fixes:
    - CVE-2013-4475: ACLs are not checked on opening an alternate data stream
                     on a file or directory
    - CVE-2013-4476: Private key in key.pem world readable
  * Move world-readable private key file on upgrade to allow
    auto-regeneration.
  * Add check in samba-ad-dc init script for wrong permission on private key

